## org.omg.CORBA
Class AttributeDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AttributeDefHelper

public class AttributeDefHelper
extends java.lang.Object

Helper class for : AttributeDef

Author:
  OpenORB Compiler

Constructor Summary
`AttributeDefHelper()`

Method Summary
`static AttributeDef` `extract(Any a)` Extract AttributeDef from an any
`static java.lang.String` `id()` Return the AttributeDef IDL ID
`static void` `insert(Any a, AttributeDef t)` Insert AttributeDef into an any
`static AttributeDef` `narrow(Object obj)` Narrow CORBA::Object to AttributeDef
`static AttributeDef` `read(InputStream istream)` Read AttributeDef from a marshalled stream
`static TypeCode` `type()` Return the AttributeDef TypeCode
`static AttributeDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to AttributeDef
`static void` `write(OutputStream ostream, AttributeDef value)` Write AttributeDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDefHelper

    public AttributeDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AttributeDef t)

  Insert AttributeDef into an any
  Parameters:
    `a` - an any
    `t` - AttributeDef value

### extract

    public static AttributeDef extract(Any a)

  Extract AttributeDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AttributeDef value

### type

    public static TypeCode type()

  Return the AttributeDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AttributeDef IDL ID
  Returns:
    an ID

### read

    public static AttributeDef read(InputStream istream)

  Read AttributeDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AttributeDef value

### write

    public static void write(OutputStream ostream,
                             AttributeDef value)

  Write AttributeDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AttributeDef value

### narrow

    public static AttributeDef narrow(Object obj)

  Narrow CORBA::Object to AttributeDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AttributeDef Object

### unchecked_narrow

    public static AttributeDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to AttributeDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AttributeDef Object